Skip to main content
Compute Management/Host Related Interfaces
GETHost Related InterfacesSince 4.1.0SynchronousAuth Required

Query Host Network Interface LLDP

Query Host Network Interface LLDP

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    See inventories for details

    • uuidStringRequired

      UUID of the resource. Uniquely identifies the resource.

    • interfaceUuidStringRequired

      Physical Network Interface UUID

    • modeStringRequired

      LLDP working mode

    • createDateTimestampRequired

      Create time

    • lastOpDateTimestampRequired

      Last update time

    • lldpHostNetworkInterfaceLldpRefInventoryRequired

      See lldp for details

      • lldpUuidStringRequired

        LLDP UUID

      • chassisIdStringRequired

        Chassis identifier

      • timeToLiveIntegerRequired

        Time to live

      • managementAddressStringRequired

        Management address

      • systemNameStringRequired

        System name

      • systemDescriptionStringRequired

        System description

      • systemCapabilitiesStringRequired

        System capabilities

      • portIdStringRequired

        Port identifier

      • portDescriptionStringRequired

        Port description

      • vlanIdIntegerRequired

        VLAN identifier

      • aggregationPortIdLongRequired

        Aggregation port identifier

      • mtuIntegerRequired

        Maximum transmission unit

      • createDateTimestampRequired

        Create time

      • lastOpDateTimestampRequired

        Last update time

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. See error for details

    • codeStringRequired

      Error code number. Globally unique identifier of the error, for example SYS.1000, HOST.1001.

    • descriptionStringRequired

      Brief error description

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause error. The error that caused the current error. If there is no original error, this field is null.

Endpoint

GET/zstack/v1/hostNetworkInterface/lldp/all

/zstack/v1/hostNetworkInterface/lldp/all

Operation ID

QueryHostNetworkInterfaceLldp

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/hostNetworkInterface/lldp/all' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "interfaceUuid": "d90dd5538ca2343099ea96cb89857aca", "mode": "rx_only" } ] }

Change History

This API has no change history records yet.

View all change history